Open Lighting Architecture: ola::plugin::osc::OSCOutputPort Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::osc::OSCOutputPort Class Reference

## Detailed Description

The Output Port class, for sending DMX via OSC.

Inheritance diagram for ola::plugin::osc::OSCOutputPort:

## Public Member Functions
| OSCOutputPort (OSCDevice *device, unsigned int port_id, OSCNode *node, const std::vector< OSCTarget > &targets, OSCNode::DataFormat data_format)
| Create an OSCOutputPort.
bool | PreSetUniverse (Universe *old_universe, Universe *new_universe)
bool | WriteDMX (const DmxBuffer &buffer, uint8_t)
| Send this DMX buffer using OSC. The second argument (priority) is not used.
std::string | Description () const
Public Member Functions inherited from ola::BasicOutputPort
| BasicOutputPort (AbstractDevice *parent, unsigned int port_id, bool start_rdm_discovery_on_patch=false, bool supports_rdm=false)
| Create a new BasicOutputPort.
unsigned int | PortId () const
| Get the Port ID. This is the index within the device.
AbstractDevice * | GetDevice () const
| Get the device which owns this Port.
bool | SetUniverse (Universe *universe)
| Bind this port to a universe.
Universe * | GetUniverse () const
| Fetch the universe this Port is bound to.
std::string | UniqueId () const
| Return the globally unique id for a Port.
bool | SetPriority (uint8_t priority)
| Set the Priority for this Port.
uint8_t | GetPriority () const
| Get the numeric priority for this Port.
void | SetPriorityMode (port_priority_mode mode)
| Set the Priority Mode for this Port.
port_priority_mode | GetPriorityMode () const
| Get the Priority Mode for this Port.
virtual void | UniverseNameChanged (const std::string &new_name)
| Called if the universe name changes.
port_priority_capability | PriorityCapability () const
| Get the priority capabilities for this port.
virtual void | SendRDMRequest (ola::rdm::RDMRequest *request, ola::rdm::RDMCallback *callback)
| Handle an RDMRequest, subclasses can implement this to support RDM.
virtual void | RunFullDiscovery (ola::rdm::RDMDiscoveryCallback *on_complete)
| This is a noop for ports that don't support RDM.
virtual void | RunIncrementalDiscovery (ola::rdm::RDMDiscoveryCallback *on_complete)
| This is a noop for ports that don't support RDM.
virtual bool | SupportsTimeCode () const
virtual bool | SendTimeCode (const ola::timecode::TimeCode &)
| This is a noop for ports that don't support TimeCode.
virtual void | PostSetUniverse (Universe *, Universe *)
virtual bool | SupportsRDM () const
| Check if this Port supports RDM or not.

## Additional Inherited Members
Protected Member Functions inherited from ola::BasicOutputPort
virtual bool | SupportsPriorities () const
void | UpdateUIDs (const ola::rdm::UIDSet &uids)
| Called when the discovery triggered by patching completes.

## Constructor & Destructor Documentation

## ◆ OSCOutputPort()

ola::plugin::osc::OSCOutputPort::OSCOutputPort | ( | OSCDevice * | device,
|  | unsigned int | port_id,
|  | OSCNode * | node,
|  | const std::vector< OSCTarget > & | targets,
|  | OSCNode::DataFormat | data_format )

Create an OSCOutputPort.

Parameters

  device | the parent device
  port_id | the id for this port
  node | the OSCNode object to use
  targets | the OSC targets to send to
  data_format | the format of OSC to send

## Member Function Documentation

## ◆ Description()

std::string ola::plugin::osc::OSCOutputPort::Description | ( |  | ) | const
| inlinevirtual

Return the description for this port

Implements ola::Port.

## ◆ PreSetUniverse()

bool ola::plugin::osc::OSCOutputPort::PreSetUniverse | ( | Universe * | old_universe,
|  | Universe * | new_universe )
| virtual

Called during the patch process, just before the Universe of this port changes.

Reimplemented from ola::BasicOutputPort.

## ◆ WriteDMX()

bool ola::plugin::osc::OSCOutputPort::WriteDMX | ( | const DmxBuffer & | buffer,
|  | uint8_t | )
| inlinevirtual

Send this DMX buffer using OSC. The second argument (priority) is not used.

Parameters

  buffer | the DMX data

Implements ola::OutputPort.

The documentation for this class was generated from the following files:

- plugins/osc/OSCPort.h
- plugins/osc/OSCPort.cpp